Skip to main content
`Ctrl`+`K`

# PetscOffloadUnallocated

Returns `PETSC_TRUE` if a given `PetscOffloadMask` indicates that no memory has been allocated yet

## Synopsis

    #include <petscdevicetypes.h>
    PetscBool PetscOffloadUnallocated(PetscOffloadMask m)

Not Collective; No Fortran Support

## Input Parameter

- m - the `PetscOffloadMask` value

## See Also

`PetscOffloadMask`, `PetscOffloadHost()`, `PetscOffloadDevice()`, `PetscOffloadBoth()`

## Level

developer

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages